> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerproduct.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Computation Nodes



## OpenAPI

````yaml https://api.outerproduct.com/openapi.json get /v1/jobs/{job_id}/computation_nodes
openapi: 3.1.0
info:
  title: OuterProduct API
  description: >-
    Public-facing REST API for OuterProduct model distillation, prediction, and
    explanation.
  version: 0.1.8
servers: []
security: []
paths:
  /v1/jobs/{job_id}/computation_nodes:
    get:
      tags:
        - jobs
      summary: List Computation Nodes
      operationId: list_computation_nodes_v1_jobs__job_id__computation_nodes_get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Size
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListComputationNodesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    ListComputationNodesResponse:
      properties:
        job_id:
          $ref: '#/components/schemas/ID'
        computation_nodes:
          items:
            $ref: '#/components/schemas/ComputationNodeResponse'
          type: array
          title: Computation Nodes
        next_cursor:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - job_id
        - computation_nodes
      title: ListComputationNodesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ID:
      anyOf:
        - type: string
          format: uuid
        - type: string
    ComputationNodeResponse:
      properties:
        id:
          $ref: '#/components/schemas/ID'
        job_id:
          $ref: '#/components/schemas/ID'
        job_url:
          type: string
          title: Job Url
        key:
          type: string
          title: Key
        node_type:
          type: string
          title: Node Type
        node_index:
          type: integer
          title: Node Index
        status:
          type: string
          enum:
            - pending
            - dispatching
            - completed
            - failed
            - cancelled
          title: Status
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        ended_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Ended At
        metrics_url:
          type: string
          title: Metrics Url
      type: object
      required:
        - id
        - job_id
        - job_url
        - key
        - node_type
        - node_index
        - status
        - created_at
        - updated_at
        - metrics_url
      title: ComputationNodeResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key or OAuth2/OIDC access token
      description: >-
        An API key or OAuth2/OIDC access token sent as `Authorization: Bearer
        <token>`.

````